///home/berryj/link/bin/genMethods "-g" "-t" "MUBinGraph" "-r" "MBinGraph" "-I" "LINK/graph/UBinGraph.h" "-y" "display_graph" "-w" "free_graph" "-d" "graph" "-f" "__mUBinGraph" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/graph/UBinGraph.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>

void display_graph(SCM, SCM, int);
void free_graph(SCM);

typedef MUBinGraph _MUBinGraph;

#define _MUBinGraphDATA(x) ((MUBinGraph*) (EXTDATA(x)))
#define _MUBinGraphIS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<MUBinGraph >::type))
#define _MUBinGraphISNT_DATA(x) (!_MUBinGraphIS_DATA(x))

#define _MUBinGraphCXX_DATA(x) (*(MUBinGraph*) (EXTDATA(VAL(x))))
#define _MUBinGraphCXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<MUBinGraph >::type))
#define _MUBinGraphCXX_ISNT_DATA(x) (!_MUBinGraphCXX_IS_DATA(x))


PRIMITIVE STk_init___mUBinGraph()
{
	Wrapper<_MUBinGraph>::type = STk_new_CXXwrapper_id(
			Wrapper<_MUBinGraph>::name, 
			Wrapper<MBinGraph >::name,
			(void (*)(SCM x, SCM port, int mode))
			display_graph,
			(void (*)(SCM x))0,
			(void (*)(SCM x))free_graph);
	Tcl_InitHashTable(&Register<_MUBinGraph>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra__mUBinGraphMethods(void);

PRIMITIVE STk_init_methods___mUBinGraph()
{
	genExtra__mUBinGraphMethods();
	return UNDEFINED;
}
